# Contributors' Guide

Thank you for considering contributing to GeophysicalFlows.jl! 

Please feel free to ask us questions and chat with us at any time if you're
unsure about anything.

Best way to get in touch is to either just open a GitHub [issue](https://github.com/FourierFlows/GeophysicalFlows.jl/issues) 
(don't be shy!) or starting a [discussion](https://github.com/FourierFlows/GeophysicalFlows.jl/discussions).

We follow the [ColPrac guide](https://github.com/SciML/ColPrac) for collaborative
practices. New contributors should make sure to read that guide.

## What can I do?

* Tackle an existing [issue](https://github.com/FourierFlows/GeophysicalFlows.jl/issues).

* Try to run your favorite GeophysicalFlows.jl module and play around with it to simulate 
  your particular favorite setup. If you run into any problems or find it difficult
  to use, modify, or understand, please [open an issue](https://github.com/FourierFlows/GeophysicalFlows.jl/issues)!

* Write up an example or tutorial on how to do something useful with one of the current modules
  in GeophysicalFlows.jl, like how to set up a new physical configuration.

* Improve documentation, docstrings, or comments if you found something is hard to use.

* Implement a new feature (e.g., a new diagnostic into a module).

* Implement a new module from scratch to solve your favorite partial differential equation with
  periodic boundary conditions.

If you're interested in working on something, let us know by commenting on existing issues or 
by opening a new issue if. This is to make sure no one else is working on the same issue and 
so we can help and guide you in case there is anything you need to know beforehand.
